## krunner 5.78.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

set(KF5_VERSION "5.78.0") # handled by release scripts
set(KF5_DEP_VERSION "5.78.0") # handled by release scripts
project(KRunner VERSION ${KF5_VERSION})

# ECM setup
include(FeatureSummary)
find_package(ECM 5.78.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)

include(ECMGenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMAddQch)
include(CMakePackageConfigHelpers)
include(KDEPackageAppTemplates)
include(ECMQtDeclareLoggingCategory)
include(ECMSetupQtPluginMacroNames)
include(KDEClangFormat)

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

ecm_setup_version(PROJECT
    VARIABLE_PREFIX KRUNNER
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/krunner_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5RunnerConfigVersion.cmake"
)

# Dependencies
set(REQUIRED_QT_VERSION 5.14.0)

find_package(Qt5 ${REQUIRED_QT_VERSION} NO_MODULE REQUIRED Gui Widgets Quick)

find_package(KF5Config ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5CoreAddons ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5I18n ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5KIO ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5Service ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5Plasma ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5ThreadWeaver ${KF5_DEP_VERSION} REQUIRED)

find_package(KF5Activities ${KF5_DEP_VERSION})
set_package_properties(KF5Activities PROPERTIES
        DESCRIPTION "Library for Activities"
        PURPOSE "Required for activities support (optional)"
        TYPE OPTIONAL
        )
if(KF5Activities_FOUND)
    set(HAVE_KACTIVITIES TRUE)
endif()

ecm_setup_qtplugin_macro_names(
    JSON_NONE
        "K_EXPORT_PLASMA_RUNNER"
        "K_EXPORT_RUNNER_CONFIG"
    JSON_ARG2
        "K_EXPORT_PLASMA_RUNNER_WITH_JSON"
    CONFIG_CODE_VARIABLE
        PACKAGE_SETUP_AUTOMOC_VARIABLES
)

add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050e00)
add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054B00)
add_definitions(-DPLASMA_DISABLE_DEPRECATED_BEFORE_AND_AT=0x050500) # needed because we use Plasma::Package in the API
add_definitions(-DQT_NO_FOREACH -DQT_NO_KEYWORDS)

# Subdirectories
add_subdirectory(src)
if (BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(tests)
endif()
add_subdirectory(templates)

# Create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${CMAKECONFIG_INSTALL_PREFIX}/KF5Runner")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF5Runner_QCH
        FILE KF5RunnerQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5RunnerQchTargets.cmake\")")
endif()

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KF5RunnerConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5RunnerConfig.cmake"
    INSTALL_DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
)

install(FILES
            "${CMAKE_CURRENT_BINARY_DIR}/KF5RunnerConfig.cmake"
            "${CMAKE_CURRENT_BINARY_DIR}/KF5RunnerConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel)

install(EXPORT KF5RunnerTargets
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        FILE KF5RunnerTargets.cmake
        NAMESPACE KF5::)

install(FILES "${CMAKE_CURRENT_BINARY_DIR}/krunner_version.h"
        DESTINATION "${KF5_INCLUDE_INSTALL_DIR}"
        COMPONENT Devel)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

=== src/CMakeLists.txt ===
# TODO: merge QML plugin from Milou into this instead and provide a plugin again officially,
# named "org.kde.krunner" to follow naming pattern for QML plugins from KF modules
if(NOT EXCLUDE_DEPRECATED_BEFORE_AND_AT STREQUAL "CURRENT" AND
   EXCLUDE_DEPRECATED_BEFORE_AND_AT VERSION_LESS 5.0.0)
    # deprecated plugin org.kde.runnermodel, no users known
    add_subdirectory(declarative)
endif()

configure_file(config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)

set (KF5Runner_SRCS
    abstractrunner.cpp
    dbusrunner.cpp
    runnerjobs.cpp
    querymatch.cpp
    runnercontext.cpp
    runnermanager.cpp
    runnersyntax.cpp)
ecm_qt_declare_logging_category(KF5Runner_SRCS
    HEADER krunner_debug.h
    IDENTIFIER KRUNNER
    CATEGORY_NAME kf.runner
    OLD_CATEGORY_NAMES org.kde.krunner
    DESCRIPTION "KRunner"
    EXPORT KRUNNER
)
set_property(SOURCE "data/org.kde.krunner1.xml" PROPERTY INCLUDE dbusutils_p.h)

add_library(KF5Runner
    ${KF5Runner_SRCS})
add_library(KF5::Runner ALIAS KF5Runner)
ecm_generate_export_header(KF5Runner
    BASE_NAME KRunner
    GROUP_BASE_NAME KF
    VERSION ${KF5_VERSION}
    DEPRECATED_BASE_VERSION 0
    DEPRECATION_VERSIONS 5.28 5.71 5.72 5.73 5.76 5.77
    EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
)

set(KRunner_BUILD_INCLUDE_DIRS ${KRunner_BINARY_DIR} ${CMAKE_CURRENT_BINARY_DIR})
target_include_directories(KF5Runner INTERFACE "$<INSTALL_INTERFACE:${KF5_INCLUDE_INSTALL_DIR}/KRunner>")
target_include_directories(KF5Runner PUBLIC "$<BUILD_INTERFACE:${KRunner_BUILD_INCLUDE_DIRS}>")


target_link_libraries(KF5Runner
    PUBLIC
        Qt5::Core
        KF5::Plasma # Must be public because abstractrunner.h needs plasma/version.h
    PRIVATE
        Qt5::DBus
        Qt5::Gui
        Qt5::Widgets
        KF5::ConfigCore
        KF5::Service
        KF5::I18n
        KF5::ThreadWeaver
        KF5::CoreAddons #KShell
        KF5::KIOCore #KProtocolInfo
)
if(HAVE_KACTIVITIES)
    target_link_libraries(KF5Runner PRIVATE KF5::Activities)
endif()

set_target_properties(KF5Runner
    PROPERTIES VERSION ${KRUNNER_VERSION_STRING}
    SOVERSION 5
    EXPORT_NAME "Runner"
)

ecm_generate_headers(KRunner_CamelCase_HEADERS
  HEADER_NAMES
    AbstractRunner
    RunnerContext
    RunnerManager
    RunnerSyntax
    QueryMatch

    PREFIX KRunner
    REQUIRED_HEADERS KRunner_HEADERS
)

# Install files

install(TARGETS KF5Runner
        EXPORT KF5RunnerTargets
        ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES ${KRunner_CamelCase_HEADERS}
        DESTINATION ${KF5_INCLUDE_INSTALL_DIR}/KRunner/KRunner
        COMPONENT Devel)

install(FILES
            ${CMAKE_CURRENT_BINARY_DIR}/krunner_export.h
            ${KRunner_HEADERS}
        DESTINATION ${KF5_INCLUDE_INSTALL_DIR}/KRunner/krunner
        COMPONENT Devel)

install(FILES
   data/servicetypes/plasma-runner.desktop
   DESTINATION ${SERVICETYPES_INSTALL_DIR})

add_custom_target(copy_servicetypes)
file(MAKE_DIRECTORY ${CMAKE_BINARY_DIR}/bin/data/kservicetypes5)
add_custom_command(TARGET copy_servicetypes PRE_BUILD COMMAND
    ${CMAKE_COMMAND} -E copy
    ${CMAKE_CURRENT_SOURCE_DIR}/data/servicetypes/plasma-runner.desktop
    ${CMAKE_BINARY_DIR}/bin/data/kservicetypes5)
add_dependencies(KF5Runner copy_servicetypes)

ecm_qt_install_logging_categories(
    EXPORT KRUNNER
    FILE krunner.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)


if(BUILD_QCH)
    ecm_add_qch(
        KF5Runner_QCH
        NAME KRunner
        BASE_NAME KF5Runner
        VERSION ${KF5_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
            ${KRunner_HEADERS}
        MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        LINK_QCHS
            Qt5Core_QCH
        INCLUDE_DIRS
            ${KRunner_BUILD_INCLUDE_DIRS}
        BLANK_MACROS
            KRUNNER_EXPORT
            KRUNNER_DEPRECATED
            KRUNNER_DEPRECATED_EXPORT
            "KRUNNER_DEPRECATED_VERSION(x, y, t)"
            "KRUNNER_DEPRECATED_VERSION_BELATED(x, y, xt, yt, t)"
        PREDEFINED_MACROS
            "KSERVICE_BUILD_DEPRECATED_SINCE(x, y)=1"
            "PLASMA_ENABLE_DEPRECATED_SINCE(x, y)=1"
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

include(ECMGeneratePriFile)
ecm_generate_pri_file(BASE_NAME KRunner LIB_NAME KF5Runner DEPS "core" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KF5_INCLUDE_INSTALL_DIR}/KRunner)
install(FILES ${PRI_FILENAME}
        DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

install(FILES
   "data/org.kde.krunner1.xml"
   DESTINATION ${KDE_INSTALL_DBUSINTERFACEDIR}
   RENAME kf5_org.kde.krunner1.xml)

=== tests/CMakeLists.txt ===
add_executable(runnermodeltest runnermodeltest.cpp ../src/declarative/runnermodel.cpp)
target_link_libraries(runnermodeltest Qt5::Widgets KF5::Service KF5Runner)
ecm_mark_as_test(runnermodeltest)

=== debian/changelog ===
krunner (5.78.0-3) unstable; urgency=medium

  * Update symbols.
  * Remove graphviz from build depends.
  * Rebuild against new e-c-m to fix broken template tar.

 -- Norbert Preining <norbert@preining.info>  Sun, 24 Jan 2021 14:39:23 +0900

krunner (5.78.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Sun, 17 Jan 2021 12:02:25 +0900

krunner (5.78.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.78.0).
  * Update build-deps and deps with the info from cmake.

 -- Norbert Preining <norbert@preining.info>  Wed, 13 Jan 2021 10:32:43 +0900

krunner (5.77.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Tue, 22 Dec 2020 10:33:36 +0900

krunner (5.77.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * Bump Standards-Version to 4.5.1 (No changes needed).
  * New upstream release (5.77.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself to Uploaders.
  * Update maintainer to Debian Qt/KDE Maintainers.
  * Update symbols.

 -- Norbert Preining <norbert@preining.info>  Fri, 18 Dec 2020 10:03:55 +0900

krunner (5.74.0-2) unstable; urgency=medium

  * Team upload to unstable.

 -- Sandro Knauß <hefee@debian.org>  Mon, 19 Oct 2020 23:20:03 +0200

krunner (5.74.0-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (5.74.0).
  * Update build-deps and deps with the info from cmake.
  * Add renamecategories file to libkf5runner5.
  * Add runnerpython.tar.gz file to libkf5runner-dev.
  * Update Homepage link to point to new invent.kde.org
  * Update field Source in debian/copyright to invent.kde.org move.
  * Add Bug-* entries to metadata file.
  * Update repository related entries to metadata file.
  * Update symbols from build for 5.74.0.

 -- Sandro Knauß <hefee@debian.org>  Sun, 27 Sep 2020 17:46:59 +0200

=== debian/control ===
Source: krunner
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>,
           Norbert Preining <norbert@preining.info>
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 13),
               doxygen,
               extra-cmake-modules (>= 5.78.0~),
               libkf5config-dev (>= 5.78.0~),
               libkf5coreaddons-dev (>= 5.78.0~),
               libkf5i18n-dev (>= 5.78.0~),
               libkf5kio-dev (>= 5.78.0~),
               libkf5plasma-dev (>= 5.78.0~),
               libkf5service-dev (>= 5.78.0~),
               libkf5threadweaver-dev (>= 5.78.0~),
               libqt5sql5-sqlite,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.14.0~),
               qtdeclarative5-dev (>= 5.14.0~),
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 4.5.1
Homepage: https://invent.kde.org/frameworks/krunner
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/krunner
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/krunner.git
Rules-Requires-Root: no

Package: libkf5runner-dev
Section: libdevel
Architecture: any
Depends: extra-cmake-modules (>= 5.78.0~),
         libkf5plasma-dev (>= 5.78.0~),
         libkf5runner5 (= ${binary:Version}),
         qtbase5-dev (>= 5.14.0~),
         ${misc:Depends}
Recommends: libkf5runner-doc (= ${source:Version})
Description: development files for krunner
 An assortment of text-related widgets.
 .
 Contains development files for krunner.

Package: libkf5runner-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Used to write plugins loaded at runtime called "Runners" (documentation)
 Launcher built into the Plasma desktop. While its
 basic function is to launch programs from a sort
 of mini-command-line, its functionality can be
 extended by "runners" to assist the user
 to accomplish a lot of tasks.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5runner5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: qml-module-org-kde-runnermodel (= ${binary:Version})
Description: Used to write plugins loaded at runtime called "Runners".
 Launcher built into the Plasma desktop. While its
 basic function is to launch programs from a sort
 of mini-command-line, its functionality can be
 extended by "runners" to assist the user
 to accomplish a lot of tasks.

Package: qml-module-org-kde-runnermodel
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Used to write plugins loaded at runtime called "Runners".
 Launcher built into the Plasma desktop. While its
 basic function is to launch programs from a sort
 of mini-command-line, its functionality can be
 extended by "runners" to assist the user
 to accomplish a lot of tasks.
 .
 This package contains the runtime files.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON -DBUILD_TESTING=OFF

override_dh_auto_test:
	# Disable auto test at build time
	:

## krunner 5.80.0

=== debian/changelog ===
krunner (5.80.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.80.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 18 Mar 2021 11:09:22 +0000

krunner (5.79.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.79.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Feb 2021 12:23:30 +0000

krunner (5.78.0-3ubuntu1) hirsute; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - Build depend on kactivities.
    - Disable tests.
    - Keep Kubuntu symbols files.
    - libkf5runner5 Breaks/Replaces libkf5runner-dev (<< 5.70.0-1~)

 -- Rik Mills <rikmills@kde.org>  Tue, 26 Jan 2021 18:26:11 +0000

krunner (5.78.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.78.0)
  * New build depend on libkf5activities-dev
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Jan 2021 09:57:56 +0000

krunner (5.77.0-2ubuntu1) hirsute; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - Disable tests.
    - Keep Kubuntu symbols files.
    - libkf5runner5 Breaks/Replaces libkf5runner-dev (<< 5.70.0-1~)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jan 2021 00:11:16 +0000

krunner (5.77.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.77.0)
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 13 Dec 2020 20:11:42 +0000

krunner (5.76.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.75.0)
  * Update symbols
  * New upstream release (5.76.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 14 Nov 2020 13:24:17 +0000

=== debian/control ===
--- 
+++ 
@@ -3,38 +3,39 @@
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>,
-           Norbert Preining <norbert@preining.info>
+           Norbert Preining <norbert@preining.info>,
 Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.78.0~),
-               libkf5config-dev (>= 5.78.0~),
-               libkf5coreaddons-dev (>= 5.78.0~),
-               libkf5i18n-dev (>= 5.78.0~),
-               libkf5kio-dev (>= 5.78.0~),
-               libkf5plasma-dev (>= 5.78.0~),
-               libkf5service-dev (>= 5.78.0~),
-               libkf5threadweaver-dev (>= 5.78.0~),
+               extra-cmake-modules (>= 5.80.0~),
+               libkf5activities-dev (>= 5.80.0~),
+               libkf5config-dev (>= 5.80.0~),
+               libkf5coreaddons-dev (>= 5.80.0~),
+               libkf5i18n-dev (>= 5.80.0~),
+               libkf5kio-dev (>= 5.80.0~),
+               libkf5plasma-dev (>= 5.80.0~),
+               libkf5service-dev (>= 5.80.0~),
+               libkf5threadweaver-dev (>= 5.80.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.14.0~),
                qtdeclarative5-dev (>= 5.14.0~),
                qttools5-dev,
-               qttools5-dev-tools
+               qttools5-dev-tools,
 Standards-Version: 4.5.1
 Homepage: https://invent.kde.org/frameworks/krunner
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/krunner
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/krunner.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/krunner
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/krunner
 Rules-Requires-Root: no
 
 Package: libkf5runner-dev
 Section: libdevel
 Architecture: any
-Depends: extra-cmake-modules (>= 5.78.0~),
-         libkf5plasma-dev (>= 5.78.0~),
+Depends: extra-cmake-modules (>= 5.80.0~),
+         libkf5plasma-dev (>= 5.80.0~),
          libkf5runner5 (= ${binary:Version}),
          qtbase5-dev (>= 5.14.0~),
-         ${misc:Depends}
+         ${misc:Depends},
 Recommends: libkf5runner-doc (= ${source:Version})
 Description: development files for krunner
  An assortment of text-related widgets.
@@ -59,6 +60,8 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: libkf5runner-dev (<< 5.70.0-1~)
+Replaces: libkf5runner-dev (<< 5.70.0-1~)
 Recommends: qml-module-org-kde-runnermodel (= ${binary:Version})
 Description: Used to write plugins loaded at runtime called "Runners".
  Launcher built into the Plasma desktop. While its

## krunner 5.86.0

=== debian/changelog ===
krunner (5.86.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.86.0)
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 13 Sep 2021 12:49:27 +0100

krunner (5.85.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.85.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Aug 2021 11:28:51 +0100

krunner (5.84.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.84.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 11 Jul 2021 09:01:45 +0100

krunner (5.83.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.83.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jun 2021 12:18:47 +0100

krunner (5.82.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.82.0)
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 08 May 2021 11:58:29 +0100

krunner (5.81.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.81.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 28 Apr 2021 10:30:55 +0100

=== debian/control ===
--- 
+++ 
@@ -7,15 +7,15 @@
 Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.80.0~),
-               libkf5activities-dev (>= 5.80.0~),
-               libkf5config-dev (>= 5.80.0~),
-               libkf5coreaddons-dev (>= 5.80.0~),
-               libkf5i18n-dev (>= 5.80.0~),
-               libkf5kio-dev (>= 5.80.0~),
-               libkf5plasma-dev (>= 5.80.0~),
-               libkf5service-dev (>= 5.80.0~),
-               libkf5threadweaver-dev (>= 5.80.0~),
+               extra-cmake-modules (>= 5.86.0~),
+               libkf5activities-dev (>= 5.86.0~),
+               libkf5config-dev (>= 5.86.0~),
+               libkf5coreaddons-dev (>= 5.86.0~),
+               libkf5i18n-dev (>= 5.86.0~),
+               libkf5kio-dev (>= 5.86.0~),
+               libkf5plasma-dev (>= 5.86.0~),
+               libkf5service-dev (>= 5.86.0~),
+               libkf5threadweaver-dev (>= 5.86.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.14.0~),
@@ -31,8 +31,8 @@
 Package: libkf5runner-dev
 Section: libdevel
 Architecture: any
-Depends: extra-cmake-modules (>= 5.80.0~),
-         libkf5plasma-dev (>= 5.80.0~),
+Depends: extra-cmake-modules (>= 5.86.0~),
+         libkf5plasma-dev (>= 5.86.0~),
          libkf5runner5 (= ${binary:Version}),
          qtbase5-dev (>= 5.14.0~),
          ${misc:Depends},

## krunner 5.92.0

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: KDE Contributors
# SPDX-License-Identifier: BSD-2-Clause

cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "5.92.0") # handled by release scripts
set(KF_DEP_VERSION "5.92.0") # handled by release scripts
project(KRunner VERSION ${KF_VERSION})

# ECM setup
include(FeatureSummary)
find_package(ECM 5.92.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)

include(ECMGenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMAddQch)
include(CMakePackageConfigHelpers)
include(KDEPackageAppTemplates)
include(ECMQtDeclareLoggingCategory)
include(ECMSetupQtPluginMacroNames)
include(ECMDeprecationSettings)
include(KDEGitCommitHooks)


set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

ecm_setup_version(PROJECT
    VARIABLE_PREFIX KRUNNER
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/krunner_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5RunnerConfigVersion.cmake"
)

# Dependencies
set(REQUIRED_QT_VERSION 5.15.2)

find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} NO_MODULE REQUIRED Gui Widgets Quick)

ecm_set_disabled_deprecation_versions(
    QT ${REQUIRED_QT_VERSION}
    KF 5.89.0
    PLASMA 5.0.0  # needed because we use Plasma::Package in the API
    KSERVICE 5.89.0  # needed because we use KPluginInfo, KServiceTypeTrader in the API
)

find_package(KF5Config ${KF_DEP_VERSION} REQUIRED)
find_package(KF5CoreAddons ${KF_DEP_VERSION} REQUIRED)
find_package(KF5I18n ${KF_DEP_VERSION} REQUIRED)
find_package(KF5ThreadWeaver ${KF_DEP_VERSION} REQUIRED)
if(NOT EXCLUDE_DEPRECATED_BEFORE_AND_AT STREQUAL "CURRENT" AND
   EXCLUDE_DEPRECATED_BEFORE_AND_AT VERSION_LESS 5.91.0)
    find_package(KF5KIO ${KF_DEP_VERSION} REQUIRED)
    find_package(KF5Service ${KF_DEP_VERSION} REQUIRED)
    find_package(KF5Plasma ${KF_DEP_VERSION} REQUIRED)
else()
    set(KF5Plasma_FOUND 0)
endif()

find_package(KF5Activities ${KF_DEP_VERSION})
set_package_properties(KF5Activities PROPERTIES
        DESCRIPTION "Library for Activities"
        PURPOSE "Required for activities support (optional)"
        TYPE OPTIONAL
        )
if(KF5Activities_FOUND)
    set(HAVE_KACTIVITIES TRUE)
endif()

# TODO KF6 remove
ecm_setup_qtplugin_macro_names(
    JSON_NONE
        "K_EXPORT_PLASMA_RUNNER"
        "K_EXPORT_RUNNER_CONFIG"
    JSON_ARG2
        "K_EXPORT_PLASMA_RUNNER_WITH_JSON"
    CONFIG_CODE_VARIABLE
        PACKAGE_SETUP_AUTOMOC_VARIABLES
)

# Subdirectories
add_subdirectory(src)
if (BUILD_TESTING)
    add_subdirectory(autotests)
endif()
add_subdirectory(templates)

# Create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5Runner")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF5Runner_QCH
        FILE KF5RunnerQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5RunnerQchTargets.cmake\")")
endif()

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KF5RunnerConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5RunnerConfig.cmake"
    INSTALL_DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
)

install(FILES
            "${CMAKE_CURRENT_BINARY_DIR}/KF5RunnerConfig.cmake"
            "${CMAKE_CURRENT_BINARY_DIR}/KF5RunnerConfigVersion.cmake"
            "${CMAKE_CURRENT_SOURCE_DIR}/KF5KRunnerMacros.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel)

install(EXPORT KF5RunnerTargets
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        FILE KF5RunnerTargets.cmake
        NAMESPACE KF5::)

install(FILES "${CMAKE_CURRENT_BINARY_DIR}/krunner_version.h"
        DESTINATION "${KDE_INSTALL_INCLUDEDIR_KF}/KRunner"
        COMPONENT Devel)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2021 Alexander Lohnau <alexander.lohnau@gmx.de>
# SPDX-License-Identifier: BSD-2-Clause
find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} CONFIG REQUIRED Test)

include(ECMAddTests)

remove_definitions(-DQT_NO_CAST_FROM_ASCII)

if(NOT EXCLUDE_DEPRECATED_BEFORE_AND_AT STREQUAL "CURRENT" AND
        EXCLUDE_DEPRECATED_BEFORE_AND_AT VERSION_LESS 5.76.0
        AND NOT WIN32)
    ecm_add_tests(
        runnercontexttest.cpp
        LINK_LIBRARIES Qt${QT_MAJOR_VERSION}::Test KF5::KIOCore KF5Runner
    )
endif()

ecm_add_tests(
   dbusrunnertest.cpp
   LINK_LIBRARIES Qt${QT_MAJOR_VERSION}::Test KF5Runner Qt${QT_MAJOR_VERSION}::Widgets Qt${QT_MAJOR_VERSION}::DBus
)
ecm_add_tests(
        runnermatchmethodstest.cpp
    LINK_LIBRARIES Qt${QT_MAJOR_VERSION}::Test KF5Runner Qt${QT_MAJOR_VERSION}::Widgets
)


kcoreaddons_add_plugin(fakerunnerplugin SOURCES fakerunnerplugin.cpp INSTALL_NAMESPACE "krunnertest" STATIC)
target_link_libraries(fakerunnerplugin  KF5Runner)
kcoreaddons_desktop_to_json(fakerunnerplugin metadatafile1.desktop)
ecm_add_tests(
    runnermanagerhistorytest.cpp
    LINK_LIBRARIES Qt${QT_MAJOR_VERSION}::Test KF5Runner Qt${QT_MAJOR_VERSION}::Widgets
)
kcoreaddons_target_static_plugins(runnermanagerhistorytest krunnertest)

ecm_add_tests(
    runnermanagersinglerunnermodetest.cpp
    LINK_LIBRARIES Qt${QT_MAJOR_VERSION}::Test KF5Runner Qt${QT_MAJOR_VERSION}::Widgets Qt${QT_MAJOR_VERSION}::DBus
)

ecm_add_tests(
    runnermanagertest.cpp
    LINK_LIBRARIES Qt${QT_MAJOR_VERSION}::Test KF5Runner Qt${QT_MAJOR_VERSION}::Widgets Qt${QT_MAJOR_VERSION}::DBus
)

add_executable(testremoterunner)
qt_add_dbus_adaptor(demoapp_dbus_adaptor_SRCS "../src/data/org.kde.krunner1.xml" testremoterunner.h TestRemoteRunner)
target_sources(testremoterunner PRIVATE testremoterunner.cpp ${demoapp_dbus_adaptor_SRCS})
target_link_libraries(testremoterunner
    Qt${QT_MAJOR_VERSION}::DBus
    Qt${QT_MAJOR_VERSION}::Gui
    KF5::Runner
)

include(../KF5KRunnerMacros.cmake)
configure_krunner_test(dbusrunnertest testremoterunner DESKTOP_FILE "${CMAKE_CURRENT_SOURCE_DIR}/dbusrunnertest.desktop")
configure_krunner_test(runnermanagersinglerunnermodetest testremoterunner DESKTOP_FILE "${CMAKE_CURRENT_SOURCE_DIR}/dbusrunnertest.desktop")
configure_krunner_test(runnermanagertest testremoterunner DESKTOP_FILE "${CMAKE_CURRENT_SOURCE_DIR}/dbusrunnertest.desktop")

=== templates/CMakeLists.txt ===
# SPDX-FileCopyrightText: KDE Contributors
# SPDX-License-Identifier: BSD-2-Clause

set(apptemplate_DIRS
    runner
    runnerpython
)

kde_package_app_templates(TEMPLATES ${apptemplate_DIRS} INSTALL_DIR ${KDE_INSTALL_KFILETEMPLATESDIR})

=== debian/changelog ===
krunner (5.92.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.92.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 16 Mar 2022 16:28:40 +0000

krunner (5.91.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.91.0)
  * Update installed files

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 14 Feb 2022 17:09:52 +0000

krunner (5.90.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.90.0)
  * Update install files.
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 16:48:53 +0000

krunner (5.89.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.89.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 12 Dec 2021 15:17:38 +0000

krunner (5.88.0-1ubuntu1) jammy; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - Disable tests.
    - Keep our symbols files.
    - Build depend on libkf5activities-dev, 'Required for activities
      support (optional)'.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Nov 2021 11:23:21 +0000

krunner (5.88.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.87.0).
  * New upstream release (5.88.0).
  * Force-bump frameworks internal b-d to 5.88.

 -- Norbert Preining <norbert@preining.info>  Wed, 17 Nov 2021 06:07:41 +0900

krunner (5.88.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.88.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Nov 2021 18:20:24 +0000

krunner (5.87.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.87.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 11 Nov 2021 11:07:15 +0000

krunner (5.86.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.86.0).
  * Drop upstream included patch.

 -- Norbert Preining <norbert@preining.info>  Mon, 13 Sep 2021 12:46:38 +0900

krunner (5.85.0-3) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Sat, 28 Aug 2021 23:42:48 +0900

krunner (5.85.0-2) experimental; urgency=medium

  * Team upload.
  * Merge changes from 5.83.0-2, and 5.83.0-3.

 -- Pino Toscano <pino@debian.org>  Mon, 23 Aug 2021 21:08:05 +0200

krunner (5.85.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.85.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 00:05:37 +0900

krunner (5.83.0-3) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.6.0, no changes required.
  * Backport upstream commit 1a63ee9ee192f6e193b5db7c619806ce0ab81f8a to add
    the include guards to abstractrunnertest.h; patch
    upstream_Add-include-guards.patch.
  * Add -DKRUNNER_DBUS_RUNNER_TESTING=0, -DKRUNNER_TEST_RUNNER_PLUGIN_DIR="/tmp"
    and -DKRUNNER_TEST_RUNNER_PLUGIN_NAME="foo" to the gcc arguments for the
    'acc' autopkgtest; they are needed for abstractrunnertest.h.

 -- Pino Toscano <pino@debian.org>  Mon, 23 Aug 2021 20:06:54 +0200

krunner (5.83.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 11:53:09 +0900

krunner (5.83.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.83.0).
  * Update symbols.

 -- Norbert Preining <norbert@preining.info>  Sun, 13 Jun 2021 13:25:32 +0900

krunner (5.82.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.82.0).
  * Removed Maximiliano Curia from the uploaders, thanks for your work
    on the package!

 -- Norbert Preining <norbert@preining.info>  Sat, 08 May 2021 22:04:48 +0900

krunner (5.81.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream version (5.81.0)
  * Bump inter-frameworks dependencies.

 -- Norbert Preining <norbert@preining.info>  Mon, 12 Apr 2021 10:18:20 +0900

krunner (5.80.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream version (5.80.0)
  * Bump inter-frameworks dependencies.

 -- Norbert Preining <norbert@preining.info>  Mon, 15 Mar 2021 15:10:35 +0900

krunner (5.79.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.79.0).

 -- Norbert Preining <norbert@preining.info>  Tue, 16 Feb 2021 06:45:29 +0900

krunner (5.78.0-4) UNRELEASED; urgency=medium

  [ Norbert Preining ]
  * Add libkf5activities-dev to B-D for activities suppport.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 25 Jan 2021 05:40:57 +0900

=== debian/control ===
--- 
+++ 
@@ -1,28 +1,28 @@
 Source: krunner
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Maximiliano Curia <maxy@debian.org>,
-           Norbert Preining <norbert@preining.info>,
-Build-Depends: cmake (>= 3.5~),
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Norbert Preining <norbert@preining.info>
+Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.86.0~),
-               libkf5activities-dev (>= 5.86.0~),
-               libkf5config-dev (>= 5.86.0~),
-               libkf5coreaddons-dev (>= 5.86.0~),
-               libkf5i18n-dev (>= 5.86.0~),
-               libkf5kio-dev (>= 5.86.0~),
-               libkf5plasma-dev (>= 5.86.0~),
-               libkf5service-dev (>= 5.86.0~),
-               libkf5threadweaver-dev (>= 5.86.0~),
+               extra-cmake-modules (>= 5.92.0~),
+               libkf5activities-dev (>= 5.92.0~),
+               libkf5config-dev (>= 5.92.0~),
+               libkf5coreaddons-dev (>= 5.92.0~),
+               libkf5i18n-dev (>= 5.92.0~),
+               libkf5kio-dev (>= 5.92.0~),
+               libkf5plasma-dev (>= 5.92.0~),
+               libkf5service-dev (>= 5.92.0~),
+               libkf5threadweaver-dev (>= 5.92.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.14.0~),
-               qtdeclarative5-dev (>= 5.14.0~),
+               qtbase5-dev (>= 5.15.2~),
+               qtdeclarative5-dev (>= 5.15.2~),
                qttools5-dev,
                qttools5-dev-tools,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://invent.kde.org/frameworks/krunner
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/krunner
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/krunner
@@ -31,10 +31,10 @@
 Package: libkf5runner-dev
 Section: libdevel
 Architecture: any
-Depends: extra-cmake-modules (>= 5.86.0~),
-         libkf5plasma-dev (>= 5.86.0~),
+Depends: extra-cmake-modules (>= 5.92.0~),
+         libkf5plasma-dev (>= 5.92.0~),
          libkf5runner5 (= ${binary:Version}),
-         qtbase5-dev (>= 5.14.0~),
+         qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},
 Recommends: libkf5runner-doc (= ${source:Version})
 Description: development files for krunner

## krunner 5.98.0

=== debian/changelog ===
krunner (5.98.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.98.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 11 Sep 2022 11:33:33 +0100

krunner (5.97.0-1ubuntu1) kinetic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Keep our symbols file.
    - Disable acc test.

 -- Rik Mills <rikmills@kde.org>  Wed, 17 Aug 2022 12:14:45 +0100

krunner (5.97.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.97.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 14 Aug 2022 18:55:44 +0200

krunner (5.97.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.97.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Aug 2022 14:05:53 +0100

krunner (5.96.0-1ubuntu1) kinetic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Keep our symbols file.
    - Disable acc test.

 -- Rik Mills <rikmills@kde.org>  Sat, 06 Aug 2022 05:39:05 +0100

krunner (5.96.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.96.0).
  * Bump Standards-Version to 4.6.1, no change required.
  * Update symbols from build for 5.96.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 31 Jul 2022 13:33:12 +0200

krunner (5.96.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.96.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Jul 2022 16:31:36 +0100

krunner (5.95.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.95.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jun 2022 09:57:23 +0100

krunner (5.94.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.94.0).
  * Add optional build dependency on libkf5activities-dev.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 19 May 2022 23:59:08 +0200

krunner (5.94.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.94.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 May 2022 16:21:09 +0100

krunner (5.93.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.93.0).
  * Update the list of installed files from build logs.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 May 2022 23:22:49 +0200

krunner (5.93.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.93.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Apr 2022 08:24:32 +0100

krunner (5.90.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.89.0).

  [ Aurélien COUDERC ]
  * New upstream release (5.90.0).
  * Added myself to the uploaders.
  * Update list of installed files.
  * Update symbols from build for 5.90.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 11 Feb 2022 23:46:45 +0100

=== debian/control ===
--- 
+++ 
@@ -3,26 +3,27 @@
 Priority: optional
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Norbert Preining <norbert@preining.info>
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
+           Norbert Preining <norbert@preining.info>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.92.0~),
-               libkf5activities-dev (>= 5.92.0~),
-               libkf5config-dev (>= 5.92.0~),
-               libkf5coreaddons-dev (>= 5.92.0~),
-               libkf5i18n-dev (>= 5.92.0~),
-               libkf5kio-dev (>= 5.92.0~),
-               libkf5plasma-dev (>= 5.92.0~),
-               libkf5service-dev (>= 5.92.0~),
-               libkf5threadweaver-dev (>= 5.92.0~),
+               extra-cmake-modules (>= 5.98.0~),
+               libkf5activities-dev (>= 5.98.0~),
+               libkf5config-dev (>= 5.98.0~),
+               libkf5coreaddons-dev (>= 5.98.0~),
+               libkf5i18n-dev (>= 5.98.0~),
+               libkf5kio-dev (>= 5.98.0~),
+               libkf5plasma-dev (>= 5.98.0~),
+               libkf5service-dev (>= 5.98.0~),
+               libkf5threadweaver-dev (>= 5.98.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
                qttools5-dev,
                qttools5-dev-tools,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://invent.kde.org/frameworks/krunner
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/krunner
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/krunner
@@ -31,8 +32,8 @@
 Package: libkf5runner-dev
 Section: libdevel
 Architecture: any
-Depends: extra-cmake-modules (>= 5.92.0~),
-         libkf5plasma-dev (>= 5.92.0~),
+Depends: extra-cmake-modules (>= 5.98.0~),
+         libkf5plasma-dev (>= 5.98.0~),
          libkf5runner5 (= ${binary:Version}),
          qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},
@@ -60,8 +61,6 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: libkf5runner-dev (<< 5.70.0-1~)
-Replaces: libkf5runner-dev (<< 5.70.0-1~)
 Recommends: qml-module-org-kde-runnermodel (= ${binary:Version})
 Description: Used to write plugins loaded at runtime called "Runners".
  Launcher built into the Plasma desktop. While its

## krunner 5.100.0

=== debian/changelog ===
krunner (5.100.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.99.0).
  * Update build-deps and deps with the info from cmake.
  * Update the list of installed files from build logs.
  * New upstream release (5.100.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 19 Nov 2022 23:19:08 +0100

krunner (5.98.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.98.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Sep 2022 23:13:29 +0200

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,21 @@
 Source: krunner
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Norbert Preining <norbert@preining.info>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.98.0~),
-               libkf5activities-dev (>= 5.98.0~),
-               libkf5config-dev (>= 5.98.0~),
-               libkf5coreaddons-dev (>= 5.98.0~),
-               libkf5i18n-dev (>= 5.98.0~),
-               libkf5kio-dev (>= 5.98.0~),
-               libkf5plasma-dev (>= 5.98.0~),
-               libkf5service-dev (>= 5.98.0~),
-               libkf5threadweaver-dev (>= 5.98.0~),
+               extra-cmake-modules (>= 5.100.0~),
+               libkf5activities-dev (>= 5.100.0~),
+               libkf5config-dev (>= 5.100.0~),
+               libkf5coreaddons-dev (>= 5.100.0~),
+               libkf5i18n-dev (>= 5.100.0~),
+               libkf5kio-dev (>= 5.100.0~),
+               libkf5plasma-dev (>= 5.100.0~),
+               libkf5service-dev (>= 5.100.0~),
+               libkf5threadweaver-dev (>= 5.100.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.15.2~),
@@ -25,15 +24,15 @@
                qttools5-dev-tools,
 Standards-Version: 4.6.1
 Homepage: https://invent.kde.org/frameworks/krunner
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/krunner
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/krunner
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/krunner
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/krunner.git
 Rules-Requires-Root: no
 
 Package: libkf5runner-dev
 Section: libdevel
 Architecture: any
-Depends: extra-cmake-modules (>= 5.98.0~),
-         libkf5plasma-dev (>= 5.98.0~),
+Depends: extra-cmake-modules (>= 5.100.0~),
+         libkf5plasma-dev (>= 5.100.0~),
          libkf5runner5 (= ${binary:Version}),
          qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},
